local _G = getfenv(0);
local LibStub = _G["LibStub"];
local AddOn = LibStub("AceAddon-3.0"):GetAddon("Enhancer");
local BS = LibStub("LibBabble-Spell-3.0"):GetLookupTable();
--local BS = LBS:GetLookupTable()

AddOn.TotemInfo = {}

--> Earth Totems <--
AddOn.TotemInfo[BS["Earthbind Totem"]] = {}
AddOn.TotemInfo[BS["Earthbind Totem"]].Element = "Earth";
AddOn.TotemInfo[BS["Earthbind Totem"]].Life = 5;
AddOn.TotemInfo[BS["Earthbind Totem"]].Range = 10;
AddOn.TotemInfo[BS["Earthbind Totem"]].TotemicMastery = nil;
AddOn.TotemInfo[BS["Earthbind Totem"]].Pulse = 3;

AddOn.TotemInfo[BS["Stoneskin Totem"]] = {};
AddOn.TotemInfo[BS["Stoneskin Totem"]].Element = "Earth";
AddOn.TotemInfo[BS["Stoneskin Totem"]].Life = 5;
AddOn.TotemInfo[BS["Stoneskin Totem"]].Range = 20;
AddOn.TotemInfo[BS["Stoneskin Totem"]].TotemicMastery = true;
AddOn.TotemInfo[BS["Stoneskin Totem"]].Buff = BS["Stoneskin"];

AddOn.TotemInfo[BS["Stoneclaw Totem"]] = {};
AddOn.TotemInfo[BS["Stoneclaw Totem"]].Element = "Earth";
AddOn.TotemInfo[BS["Stoneclaw Totem"]].Life = nil; -- Depends on rank *sigh*
AddOn.TotemInfo[BS["Stoneclaw Totem"]][1] = { };
AddOn.TotemInfo[BS["Stoneclaw Totem"]][1].Life = 50; -- 50->236
AddOn.TotemInfo[BS["Stoneclaw Totem"]][1].Level = 8; -- Bonus 3 per Level above
AddOn.TotemInfo[BS["Stoneclaw Totem"]][2] = { };
AddOn.TotemInfo[BS["Stoneclaw Totem"]][2].Life = 150; -- 150->306
AddOn.TotemInfo[BS["Stoneclaw Totem"]][2].Level = 18;
AddOn.TotemInfo[BS["Stoneclaw Totem"]][3] = { };
AddOn.TotemInfo[BS["Stoneclaw Totem"]][3].Life = 220; -- 220->346
AddOn.TotemInfo[BS["Stoneclaw Totem"]][3].Level = 28;
AddOn.TotemInfo[BS["Stoneclaw Totem"]][4] = { };
AddOn.TotemInfo[BS["Stoneclaw Totem"]][4].Life = 280; -- 280->376
AddOn.TotemInfo[BS["Stoneclaw Totem"]][4].Level = 38;
AddOn.TotemInfo[BS["Stoneclaw Totem"]][5] = { };
AddOn.TotemInfo[BS["Stoneclaw Totem"]][5].Life = 390; -- 390->456
AddOn.TotemInfo[BS["Stoneclaw Totem"]][5].Level = 48;
AddOn.TotemInfo[BS["Stoneclaw Totem"]][6] = { };
AddOn.TotemInfo[BS["Stoneclaw Totem"]][6].Life = 480; -- 480->516
AddOn.TotemInfo[BS["Stoneclaw Totem"]][6].Level = 58;
AddOn.TotemInfo[BS["Stoneclaw Totem"]][7] = { };
AddOn.TotemInfo[BS["Stoneclaw Totem"]][7].Life = 1315; -- 1315->1324
AddOn.TotemInfo[BS["Stoneclaw Totem"]][7].Level = 67;
AddOn.TotemInfo[BS["Stoneclaw Totem"]][7].Range = 8;
AddOn.TotemInfo[BS["Stoneclaw Totem"]][7].TotemicMastery = nil;

AddOn.TotemInfo[BS["Strength of Earth Totem"]] = {};
AddOn.TotemInfo[BS["Strength of Earth Totem"]].Element = "Earth";
AddOn.TotemInfo[BS["Strength of Earth Totem"]].Life = 5;
AddOn.TotemInfo[BS["Strength of Earth Totem"]].Range = 20;
AddOn.TotemInfo[BS["Strength of Earth Totem"]].TotemicMastery = true;
AddOn.TotemInfo[BS["Strength of Earth Totem"]].Buff = BS["Strength of Earth"];

AddOn.TotemInfo[BS["Tremor Totem"]] = {};
AddOn.TotemInfo[BS["Tremor Totem"]].Element = "Earth";
AddOn.TotemInfo[BS["Tremor Totem"]].Life = 5;
AddOn.TotemInfo[BS["Tremor Totem"]].Pulse = 3; -- Dunno why I had it on 5 but according to wowwiki etc it's supposed to be 4!
AddOn.TotemInfo[BS["Tremor Totem"]].Range = 30;
AddOn.TotemInfo[BS["Tremor Totem"]].TotemicMastery = true;

AddOn.TotemInfo[BS["Earth Elemental Totem"]] = {};
AddOn.TotemInfo[BS["Earth Elemental Totem"]].Element = "Earth";
AddOn.TotemInfo[BS["Earth Elemental Totem"]].Life = 7200; -- Was hitting a totem today and mobHealth gave this number
--AddOn.TotemInfo[BS["Earth Elemental Totem"]].CombatLog = { "Earth Elemental" }
AddOn.TotemInfo[BS["Earth Elemental Totem"]].Range = 20; -- Guesstimate
AddOn.TotemInfo[BS["Earth Elemental Totem"]].TotemicMastery = nil;

--> Fire Totems <--
AddOn.TotemInfo[BS["Searing Totem"]] = {};
AddOn.TotemInfo[BS["Searing Totem"]].Element = "Fire";
AddOn.TotemInfo[BS["Searing Totem"]].Life = 5;
AddOn.TotemInfo[BS["Searing Totem"]].Range = 20;
AddOn.TotemInfo[BS["Searing Totem"]].TotemicMastery = nil;

AddOn.TotemInfo[BS["Fire Nova Totem"]] = {};
AddOn.TotemInfo[BS["Fire Nova Totem"]].Element = "Fire";
AddOn.TotemInfo[BS["Fire Nova Totem"]].Life = 5;
AddOn.TotemInfo[BS["Fire Nova Totem"]].Range = 10;
AddOn.TotemInfo[BS["Fire Nova Totem"]].TotemicMastery = nil;

AddOn.TotemInfo[BS["Magma Totem"]] = {};
AddOn.TotemInfo[BS["Magma Totem"]].Element = "Fire";
AddOn.TotemInfo[BS["Magma Totem"]].Life = 5;
AddOn.TotemInfo[BS["Magma Totem"]].Pulse = 2;
AddOn.TotemInfo[BS["Magma Totem"]].Range = 8;
AddOn.TotemInfo[BS["Magma Totem"]].TotemicMastery = false;

AddOn.TotemInfo[BS["Frost Resistance Totem"]] = {};
AddOn.TotemInfo[BS["Frost Resistance Totem"]].Element = "Fire";
AddOn.TotemInfo[BS["Frost Resistance Totem"]].Life = 5;
AddOn.TotemInfo[BS["Frost Resistance Totem"]].Range = 20;
AddOn.TotemInfo[BS["Frost Resistance Totem"]].TotemicMastery = true;
AddOn.TotemInfo[BS["Frost Resistance Totem"]].Buff = BS["Frost Resistance"];

AddOn.TotemInfo[BS["Flametongue Totem"]] = {};
AddOn.TotemInfo[BS["Flametongue Totem"]].Element = "Fire";
AddOn.TotemInfo[BS["Flametongue Totem"]].Life = 5;
AddOn.TotemInfo[BS["Flametongue Totem"]].Range = 20;
AddOn.TotemInfo[BS["Flametongue Totem"]].TotemicMastery = true;

AddOn.TotemInfo[BS["Totem of Wrath"]] = {};
AddOn.TotemInfo[BS["Totem of Wrath"]].Element = "Fire";
AddOn.TotemInfo[BS["Totem of Wrath"]].Life = 5;
AddOn.TotemInfo[BS["Totem of Wrath"]].Range = 20;
AddOn.TotemInfo[BS["Totem of Wrath"]].TotemicMastery = true;

AddOn.TotemInfo[BS["Fire Elemental Totem"]] = {};
AddOn.TotemInfo[BS["Fire Elemental Totem"]].Element = "Fire";
AddOn.TotemInfo[BS["Fire Elemental Totem"]].Life = 3600; -- Was hitting a totem today and mobHealth gave this number
--AddOn.TotemInfo[BS["Fire Elemental Totem"]].CombatLog = { "Fire Elemental" }
AddOn.TotemInfo[BS["Fire Elemental Totem"]].Range = 20; -- Guesstimate
AddOn.TotemInfo[BS["Fire Elemental Totem"]].TotemicMastery = nil;

--> Water Totems <--
AddOn.TotemInfo[BS["Healing Stream Totem"]] = {} ;
AddOn.TotemInfo[BS["Healing Stream Totem"]].Element = "Water";
AddOn.TotemInfo[BS["Healing Stream Totem"]].Life = 5;
AddOn.TotemInfo[BS["Healing Stream Totem"]].Pulse = 2;
AddOn.TotemInfo[BS["Healing Stream Totem"]].Range = 20;
AddOn.TotemInfo[BS["Healing Stream Totem"]].TotemicMastery = true;
AddOn.TotemInfo[BS["Healing Stream Totem"]].Buff = BS["Healing Stream"];

AddOn.TotemInfo[BS["Mana Spring Totem"]] = {};
AddOn.TotemInfo[BS["Mana Spring Totem"]].Element = "Water";
AddOn.TotemInfo[BS["Mana Spring Totem"]].Life = 5;
AddOn.TotemInfo[BS["Mana Spring Totem"]].Pulse = 2;
AddOn.TotemInfo[BS["Mana Spring Totem"]].Range = 20;
AddOn.TotemInfo[BS["Mana Spring Totem"]].TotemicMastery = true;
AddOn.TotemInfo[BS["Mana Spring Totem"]].Buff = BS["Mana Spring"];

AddOn.TotemInfo[BS["Poison Cleansing Totem"]] = {};
AddOn.TotemInfo[BS["Poison Cleansing Totem"]].Element = "Water";
AddOn.TotemInfo[BS["Poison Cleansing Totem"]].Life = 5;
AddOn.TotemInfo[BS["Poison Cleansing Totem"]].Pulse = 5;
AddOn.TotemInfo[BS["Poison Cleansing Totem"]].Range = 20;
AddOn.TotemInfo[BS["Poison Cleansing Totem"]].TotemicMastery = true;

AddOn.TotemInfo[BS["Disease Cleansing Totem"]] = {};
AddOn.TotemInfo[BS["Disease Cleansing Totem"]].Element = "Water";
AddOn.TotemInfo[BS["Disease Cleansing Totem"]].Life = 5;
AddOn.TotemInfo[BS["Disease Cleansing Totem"]].Pulse = 5;
AddOn.TotemInfo[BS["Disease Cleansing Totem"]].Range = 20;
AddOn.TotemInfo[BS["Disease Cleansing Totem"]].TotemicMastery = true;

AddOn.TotemInfo[BS["Mana Tide Totem"]] = {};
AddOn.TotemInfo[BS["Mana Tide Totem"]].Element = "Water";
AddOn.TotemInfo[BS["Mana Tide Totem"]].Life = 5;
AddOn.TotemInfo[BS["Mana Tide Totem"]].Pulse = 3;
AddOn.TotemInfo[BS["Mana Tide Totem"]].Range = 20;
AddOn.TotemInfo[BS["Mana Tide Totem"]].TotemicMastery = true;
AddOn.TotemInfo[BS["Mana Tide Totem"]].Buff = BS["Mana Tide"];

AddOn.TotemInfo[BS["Fire Resistance Totem"]] = {};
AddOn.TotemInfo[BS["Fire Resistance Totem"]].Element = "Water";
AddOn.TotemInfo[BS["Fire Resistance Totem"]].Life = 5;
AddOn.TotemInfo[BS["Fire Resistance Totem"]].Range = 20;
AddOn.TotemInfo[BS["Fire Resistance Totem"]].TotemicMastery = true;
AddOn.TotemInfo[BS["Fire Resistance Totem"]].Buff = BS["Fire Resistance"];

--> Air Totems <--
AddOn.TotemInfo[BS["Grace of Air Totem"]] = {};
AddOn.TotemInfo[BS["Grace of Air Totem"]].Element = "Air";
AddOn.TotemInfo[BS["Grace of Air Totem"]].Life = 5;
AddOn.TotemInfo[BS["Grace of Air Totem"]].Range = 20;
AddOn.TotemInfo[BS["Grace of Air Totem"]].TotemicMastery = true;
AddOn.TotemInfo[BS["Grace of Air Totem"]].Buff = BS["Grace of Air"];

AddOn.TotemInfo[BS["Windfury Totem"]] = {};
AddOn.TotemInfo[BS["Windfury Totem"]].Element = "Air";
AddOn.TotemInfo[BS["Windfury Totem"]].Life = 5;
AddOn.TotemInfo[BS["Windfury Totem"]].Pulse = 5;
AddOn.TotemInfo[BS["Windfury Totem"]].Range = 20;
AddOn.TotemInfo[BS["Windfury Totem"]].TotemicMastery = true;

AddOn.TotemInfo[BS["Grounding Totem"]] = {};
AddOn.TotemInfo[BS["Grounding Totem"]].Element = "Air";
AddOn.TotemInfo[BS["Grounding Totem"]].Life = 5;
AddOn.TotemInfo[BS["Grounding Totem"]].Range = 20;
AddOn.TotemInfo[BS["Grounding Totem"]].TotemicMastery = true;
AddOn.TotemInfo[BS["Grounding Totem"]].Buff = BS["Grounding Totem Effect"];

AddOn.TotemInfo[BS["Windwall Totem"]] = {};
AddOn.TotemInfo[BS["Windwall Totem"]].Element = "Air";
AddOn.TotemInfo[BS["Windwall Totem"]].Life = 5;
AddOn.TotemInfo[BS["Windwall Totem"]].Range = 20;
AddOn.TotemInfo[BS["Windwall Totem"]].TotemicMastery = true;
AddOn.TotemInfo[BS["Windwall Totem"]].Buff = BS["Windwall"];

AddOn.TotemInfo[BS["Sentry Totem"]] = {};
AddOn.TotemInfo[BS["Sentry Totem"]].Element = "Air";
AddOn.TotemInfo[BS["Sentry Totem"]].Life = 5;
AddOn.TotemInfo[BS["Sentry Totem"]].Range = nil;
AddOn.TotemInfo[BS["Sentry Totem"]].TotemicMastery = nil;
AddOn.TotemInfo[BS["Sentry Totem"]].Buff = BS["Sentry Totem"];

AddOn.TotemInfo[BS["Nature Resistance Totem"]] = {};
AddOn.TotemInfo[BS["Nature Resistance Totem"]].Element = "Air";
AddOn.TotemInfo[BS["Nature Resistance Totem"]].Life = 5;
AddOn.TotemInfo[BS["Nature Resistance Totem"]].Range = 20;
AddOn.TotemInfo[BS["Nature Resistance Totem"]].TotemicMastery = true;
AddOn.TotemInfo[BS["Nature Resistance Totem"]].Buff = BS["Nature Resistance"];

AddOn.TotemInfo[BS["Tranquil Air Totem"]] = {};
AddOn.TotemInfo[BS["Tranquil Air Totem"]].Element = "Air";
AddOn.TotemInfo[BS["Tranquil Air Totem"]].Life = 5;
AddOn.TotemInfo[BS["Tranquil Air Totem"]].Range = 20;
AddOn.TotemInfo[BS["Tranquil Air Totem"]].TotemicMastery = true;
AddOn.TotemInfo[BS["Tranquil Air Totem"]].Buff = BS["Tranquil Air"];

AddOn.TotemInfo[BS["Wrath of Air Totem"]] = {};
AddOn.TotemInfo[BS["Wrath of Air Totem"]].Element = "Air";
AddOn.TotemInfo[BS["Wrath of Air Totem"]].Life = 5;
AddOn.TotemInfo[BS["Wrath of Air Totem"]].Range = 20;
AddOn.TotemInfo[BS["Wrath of Air Totem"]].TotemicMastery = true;
AddOn.TotemInfo[BS["Wrath of Air Totem"]].Buff = BS["Wrath of Air Totem"];


--> Special <--
-- Enamored Water Spirit, Trinket from Shaman Quest
-- cba with this shit no more
--AddOn.TotemInfo[BS["Enamored Water Spirit"]] = {};
--AddOn.TotemInfo[BS["Enamored Water Spirit"]].Icon = "INV_Wand_01"; -- Trinket totem from Sunken Temple
--AddOn.TotemInfo[BS["Enamored Water Spirit"]].Element = "Water";
--AddOn.TotemInfo[BS["Enamored Water Spirit"]].Life = 5;
--AddOn.TotemInfo[BS["Enamored Water Spirit"]].Pulse = 2;
--AddOn.TotemInfo[BS["Enamored Water Spirit"]].Range = 20;
--AddOn.TotemInfo[BS["Enamored Water Spirit"]].TotemicMastery = nil;
--AddOn.TotemInfo[BS["Enamored Water Spirit"]].Buff = BS[""];